{
    "$graph": [
        {
            "class": "ExpressionTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "loadContents": true
                    },
                    "id": "#file2basenames.cwl/input"
                }
            ],
            "expression": "${\n  var values=[];\n  var lines=[];\n  if(inputs.input != null) {\n      lines = inputs.input.contents.split(\"\\n\");\n  }\n  for(var i = 0; i<lines.length; i++) {\n    var basename = lines[i];\n    var last_slash_i = basename.lastIndexOf(\"/\");\n    if(last_slash_i>-1) {\n      basename = basename.substr(last_slash_i + 1).trim();\n    }\n    if(basename.length > 0) {\n      values.push (basename);\n    }\n  }\n  return { \"values\": values }; \n}\n",
            "id": "#file2basenames.cwl",
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#file2basenames.cwl/values"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "label": "Get Proteins, bacterial_prot_src",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.uniColl_asn_cache)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.blastdb_dir)",
                            "writable": false
                        },
                        {
                            "entryname": "blastdbs.mft",
                            "entry": "${            var blob = '# blastdbs.mft created for bacterial_prot_src from input \"blastdb\" Array of blastdbs' +              '\\n' ;             var i = 0;            for (i = 0; i < inputs.blastdb.length; i++) {               blob += inputs.blastdb_dir.path + '/' + inputs.blastdb[i] + String.fromCharCode(10);             }             for (i = 0; i < inputs.all_order_specific_blastdb.length; i++) {               blob += inputs.blastdb_dir.path + '/' + inputs.all_order_specific_blastdb[i] + String.fromCharCode(10);             }             return blob;           }"
                        }
                    ]
                }
            ],
            "baseCommand": "bacterial_prot_src",
            "arguments": [
                "-no-phage",
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#bacterial_prot_src.cwl/all_order_specific_blastdb"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#bacterial_prot_src.cwl/blastdb"
                },
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-blastdbs-manifest",
                        "valueFrom": "blastdbs.mft"
                    },
                    "id": "#bacterial_prot_src.cwl/blastdb_dir"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "universal_clusters.inf",
                    "inputBinding": {
                        "prefix": "-ouniversal-clusters"
                    },
                    "id": "#bacterial_prot_src.cwl/clust_output"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-unicoll_sqlite"
                    },
                    "id": "#bacterial_prot_src.cwl/naming_sqlite"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "all_prots.seqid",
                    "inputBinding": {
                        "prefix": "-oall"
                    },
                    "id": "#bacterial_prot_src.cwl/prot_output"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "selected_blastdb.mft",
                    "inputBinding": {
                        "prefix": "-selected-blastdb-manifest"
                    },
                    "id": "#bacterial_prot_src.cwl/selected_blastdb_output"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-taxon-db"
                    },
                    "id": "#bacterial_prot_src.cwl/tax_sql_file"
                },
                {
                    "type": "int",
                    "inputBinding": {
                        "prefix": "-taxid"
                    },
                    "id": "#bacterial_prot_src.cwl/taxid"
                },
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#bacterial_prot_src.cwl/uniColl_asn_cache"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.prot_output)"
                    },
                    "id": "#bacterial_prot_src.cwl/all_prots"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.selected_blastdb_output)"
                    },
                    "id": "#bacterial_prot_src.cwl/selected_blastdb"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.clust_output)"
                    },
                    "id": "#bacterial_prot_src.cwl/universal_clusters"
                }
            ],
            "id": "#bacterial_prot_src.cwl"
        },
        {
            "class": "Workflow",
            "label": "Get Proteins",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/all_order_specific_blastdb"
                },
                {
                    "type": "Directory",
                    "id": "#main/blastdb_dir"
                },
                {
                    "type": "File",
                    "id": "#main/naming_sqlite"
                },
                {
                    "type": "File",
                    "id": "#main/tax_sql_file"
                },
                {
                    "type": "int",
                    "id": "#main/taxid"
                },
                {
                    "type": "Directory",
                    "id": "#main/uniColl_asn_cache"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/Get_Proteins_app/all_prots",
                    "id": "#main/all_prots"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "outputSource": "#main/File2Basenames/values",
                    "id": "#main/selected_blastdb"
                },
                {
                    "type": "File",
                    "outputSource": "#main/Get_Proteins_app/universal_clusters",
                    "id": "#main/universal_clusters"
                }
            ],
            "steps": [
                {
                    "run": "#file2basenames.cwl",
                    "in": [
                        {
                            "source": "#main/Get_Proteins_app/selected_blastdb",
                            "id": "#main/File2Basenames/input"
                        }
                    ],
                    "out": [
                        "#main/File2Basenames/values"
                    ],
                    "id": "#main/File2Basenames"
                },
                {
                    "label": "Get Proteins: application run",
                    "run": "#bacterial_prot_src.cwl",
                    "in": [
                        {
                            "source": "#main/all_order_specific_blastdb",
                            "id": "#main/Get_Proteins_app/all_order_specific_blastdb"
                        },
                        {
                            "default": [
                                "blastdb",
                                "blast_rules_db"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#main/Get_Proteins_app/blastdb"
                        },
                        {
                            "source": "#main/blastdb_dir",
                            "id": "#main/Get_Proteins_app/blastdb_dir"
                        },
                        {
                            "source": "#main/naming_sqlite",
                            "id": "#main/Get_Proteins_app/naming_sqlite"
                        },
                        {
                            "source": "#main/tax_sql_file",
                            "id": "#main/Get_Proteins_app/tax_sql_file"
                        },
                        {
                            "source": "#main/taxid",
                            "id": "#main/Get_Proteins_app/taxid"
                        },
                        {
                            "source": "#main/uniColl_asn_cache",
                            "id": "#main/Get_Proteins_app/uniColl_asn_cache"
                        }
                    ],
                    "out": [
                        "#main/Get_Proteins_app/universal_clusters",
                        "#main/Get_Proteins_app/all_prots",
                        "#main/Get_Proteins_app/selected_blastdb"
                    ],
                    "id": "#main/Get_Proteins_app"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.2"
}
